ru.bitel.bgbilling.kernel.event.events

## Class CancelTariffEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.CancelTariffEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class CancelTariffEvent
      extends LocalEvent

  Синхронное событие - отмена перехода на тариф из Web - статистики.
  Вызывается перед штатным откатом на старый тариф. Если скрипт не помечает событие обработанным, то откат производится штатными средствами.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CancelTariffEvent()`
    `` | `CancelTariffEvent(int userId, int cid, ContractTariff contractTariff, ContractTariff contractTariffPrevious)` Конструктор события.
    `` | `CancelTariffEvent(int userId, int cid, ContractTariff contractTariff, ContractTariff contractTariffPrevious)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractTariff` | `getContractTariff()` Возвращает тариф договора (будущий), которого производится отмена.
    `ContractTariff` | `getContractTariffPrevious()` Возвращает тариф договора (предыдущий), на который производится откат.
    `java.lang.String` | `getError()` Возвращает текст ошибки, установленный скриптом.
    `java.lang.String` | `getMessage()` Возвращает сообщение, установленное скриптом.
    `boolean` | `isProcessed()` Возвращает признак обработанности события скриптом.
    `void` | `setError(java.lang.String error)` Установка текста ошибки скриптом.
    `void` | `setMessage(java.lang.String message)` Установка текста сообщения.
    `void` | `setProcessed(boolean processed)` Установка флага обработанности события скриптом.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CancelTariffEvent

          protected CancelTariffEvent()

    - #### CancelTariffEvent

          public CancelTariffEvent(int userId,
                                   int cid,
                                   ContractTariff contractTariff,
                                   ContractTariff contractTariffPrevious)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `cid` - - id договора
        `contractTariff` - - тариф договора, которого производится отмена
        `contractTariffPrevious` - - предыдущий тариф договора

    - #### CancelTariffEvent

          public CancelTariffEvent(int userId,
                                   int cid,
                                   ContractTariff contractTariff,
                                   ContractTariff contractTariffPrevious)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `cid` - - id договора
        `contractTariff` - - тариф договора, которого производится отмена
        `contractTariffPrevious` - - предыдущий тариф договора

  - ### Method Detail

    - #### getContractTariff

          public ContractTariff getContractTariff()

      Возвращает тариф договора (будущий), которого производится отмена.
      Returns:
        contractTariff - тариф договора

    - #### getContractTariffPrevious

          public ContractTariff getContractTariffPrevious()

      Возвращает тариф договора (предыдущий), на который производится откат.
      Returns:
        contractTariffPrevious - тариф договора

    - #### isProcessed

          public boolean isProcessed()

      Возвращает признак обработанности события скриптом.
      В этом случае штатная обработка отмены не выполняется.
      Returns:
        processed - флаг обработки
        true- обработано
        false - не обработано

    - #### setProcessed

          public void setProcessed(boolean processed)

      Установка флага обработанности события скриптом.
      Parameters:
        `processed` - - флаг обработки события
        true- обработано
        false - не обработано

    - #### getMessage

          public java.lang.String getMessage()

      Возвращает сообщение, установленное скриптом.
      Returns:
        message - текс сообщения

    - #### setMessage

          public void setMessage(java.lang.String message)

      Установка текста сообщения.
      Parameters:
        `message` - - текст сообщения

    - #### getError

          public java.lang.String getError()

      Возвращает текст ошибки, установленный скриптом.
      Returns:
        error - текс ошибки

    - #### setError

          public void setError(java.lang.String error)

      Установка текста ошибки скриптом.
      Parameters:
        `error` - - текст ошибки